# Update_Certificate

Update a certificate.

`PUT /v2/certificates/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/x-www-form-urlencoded`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/Update_Certificate/

## Description

Update the data points for a certificate.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the certificate object |
| `filename` | string | formData | No | The certificate file name that was uploaded. |
| `signed_date` | string | formData | No | Date of when the record was signed. |
| `expiration_date` | string | formData | No | Date of when the record expires. |
| `tax_number` | string | formData | No | The tax number for the certificate. |
| `tax_number_type` | string | formData | No | The type of tax number being provided. |
| `valid` | boolean | formData | No | Designates if a certificate is valid. |
| `is_single` | boolean | formData | No | Designates if certificate is single. |
| `exposure_zone` | array | formData | No | The exposure zone that the certificate covers. |
| `expected_tax_code` | array | formData | No | The expected tax code of the certificate. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Certificate Updated |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/certificates/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Accept: application/json"
```